Bug 109655 - X server dies when changing virtual terminal
X server dies when changing virtual terminal
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-10 13:46 EST by Steve Bonneville
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-10 16:52:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86.0.log from crashed server (56.54 KB, text/plain)
2003-11-10 13:48 EST, Steve Bonneville
no flags Details
XF86Config file from system (3.04 KB, text/plain)
2003-11-10 13:49 EST, Steve Bonneville
no flags Details

  None (edit)
Description Steve Bonneville 2003-11-10 13:46:53 EST
Changing to a virtual terminal with Ctrl-Alt-Fn from X occasionally
kills the X server.  Observed in install environment and in operation.
 Hardware is Dell Optiplex GX260 with onboard Intel 82845G/GL video.

Installed version: XFree86-*-4.3.0-35.EL.
Comment 1 Steve Bonneville 2003-11-10 13:48:45 EST
Created attachment 95883 [details]
XFree86.0.log from crashed server
Comment 2 Steve Bonneville 2003-11-10 13:49:23 EST
Created attachment 95884 [details]
XF86Config file from system
Comment 3 Sean McPherson 2003-11-11 09:11:55 EST
Behavior occurs even when system is booted w/ nofb or lowres options
during installation. Tested w/ installation method NFS. 
Comment 4 Sean McPherson 2003-11-12 13:19:04 EST
Forgot to add above (comment #3) that the hardware lowres and nofb was
tested on is identical to the initial reporter's (Dell GX260)

lspci -v for the graphics device shows:

00:02.0 VGA compatible controller: Intel Corp. 82845G/GL [Brookdale-G]
Chipset Integrated Graphics Device (rev 01) (prog-if 00 [VGA])
        Subsystem: Dell Computer Corporation: Unknown device 0126
        Flags: bus master, fast devsel, latency 0, IRQ 9
        Memory at e8000000 (32-bit, prefetchable) [size=128M]
        Memory at ff680000 (32-bit, non-prefetchable) [size=512K]
        Capabilities: [d0] Power Management version 1
Comment 5 Mike A. Harris 2005-03-06 13:17:58 EST
Since this report was filed, there have been updates to
XFree86 for RHEL 3.  Does this problem still occur with
the latest RHEL 3 update and all erratum applied?

Comment 6 Mike A. Harris 2005-03-06 13:19:42 EST
Setting status to "NEEDINFO" and awaiting feedback for current
RHEL updates/errata.
Comment 9 Mike A. Harris 2005-05-10 16:52:46 EDT
As mentioned in comment #5, we have released erratum which may resolve this
issue.  We are unable to reproduce the problem internally, and the lack of
response to our queries for more information seem to conclude the issue
may now be resolved.

If, the problem recurs or persists after updating to the latest official
Red Hat Enterprise Linux XFree86 and kernel updates, please log into the
official Red Hat support website at http://www.redhat.com/support and
register a support ticket in order to receive support for the issue.
Alternatively, you can call Red Hat technical support at 1-888-RED-HAT1
to receive technical support as per the terms of your support contract
with Red Hat.


Setting status to "ERRATA".

Note You need to log in before you can comment on or make changes to this bug.